Name:          aries-proxy
Version:       0.3
Release:       %mkrel 13
Summary:       Apache Aries Class Proxy
License:       ASL 2.0
Group:         Development/Java
URL:           http://aries.apache.org/

# svn export http://svn.apache.org/repos/asf/aries/tags/proxy-0.3/ aries-proxy-0.3
# tar cafJ aries-proxy-0.3.tar.xz aries-proxy-0.3

Source0:       %{name}-%{version}.tar.xz
Patch0:        %{name}-%{version}-xml.patch

BuildArch:     noarch

Epoch:         1

BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: aries-util
BuildRequires: objectweb-asm3
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: slf4j

%description
A common proxy class generation service that can be used by
blueprint and jndi and others.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
# test failures in ProxySubclassGeneratorTest
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1:0.3-13.mga6
+ Revision: 982659
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1:0.3-12.mga6
+ Revision: 975459
- First rebuild of the java stack
- sync package aries-proxy with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Jan 12 2015 pterjan <pterjan> 1:0.3-11.mga5
+ Revision: 810191
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1:0.3-10.mga5
+ Revision: 740645
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.3-9.mga5
+ Revision: 677896
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1:0.3-8.mga4
+ Revision: 545794
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 dmorgan <dmorgan> 1:0.3-7.mga4
+ Revision: 501817
- Build with xmvn
- Changed asm2 R to objectweb-asm

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 0.3-3.mga3
+ Revision: 346060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 0.3-2.mga3
+ Revision: 331552
- imported package aries-proxy


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 17 2012 Patryk Obara <pobara@redhat.com> 0.3-1
- Initial packaging
